You are currently offline, waiting for your internet to reconnect

FIX: "Could not load file or assembly 'Microsoft.BizTalk.Interop.SSOClient Version=5.0.1.0" error when you use the ESB configuration tool in BizTalk Server 2013

Symptoms
Assume that you have Microsoft BizTalk Server 2013 and Microsoft BizTalk Enterprise Service Bus (ESB) Toolkit 2.2 installed on a computer. When you try to use the ESB configuration tool to configure the Microsoft Enterprise Single Sign-On (SSO) configuration source, the configuration fails. Additionally, you receive an error message that resembles the following:
Exception calling "Load" with "1" argument(s): "Could not load file or assembly 'Microsoft.BizTalk.Interop.SSOClient Version=5.0.1.0, Culture=neutral, PublicKey Token='31bf3856ad364e35' or one of its dependencies. The system cannot find the files specified."

Cause
The issue occurs because of incorrect file dependency. BizTalk Server 2013 installs the Microsoft.BizTalk.Interop.SSOClient Version=7.0.2300.0 dll. However, ESB Toolkit refers to the 'Microsoft.BizTalk.Interop.SSOClient Version=5.1.0.0 dll. 

Note After you install this cumulative update package, ESB Toolkit will refer to the correct version.
Resolution

Cumulative update information

For BizTalk Server 2013

The hotfix that resolves this issue is included in cumulative update package 2 for BizTalk Server 2013.

For more information about how to obtain the cumulative update package, click the following article number to view the article in the Microsoft Knowledge Base:
2892599 Cumulative update package 2 for BizTalk Server 2013


Status
Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section.
Properties

Article ID: 2848425 - Last Review: 10/31/2013 18:33:00 - Revision: 1.0

Microsoft BizTalk Server 2013 Standard, Microsoft BizTalk Server 2013 Branch, Microsoft BizTalk Server 2013 Enterprise

  • kbfix kbqfe kbexpertiseadvanced kbsurveynew KB2848425
Feedback
&t=">